RangeTermTree (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.conf.view

## Class RangeTermTree

- java.lang.Object
- - org.apache.cassandra.index.sasi.conf.view.RangeTermTree

- All Implemented Interfaces:
    TermTree
  Direct Known Subclasses:
    PrefixTermTree

      public class RangeTermTree
      extends java.lang.Object
      implements TermTree

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `RangeTermTree.Term` This is required since IntervalTree doesn't support custom Comparator implementations and relied on items to be comparable which "raw" terms are not.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractType<?>` | `comparator`
    `protected java.nio.ByteBuffer` | `max`
    `protected java.nio.ByteBuffer` | `min`
    `protected IntervalTree<RangeTermTree.Term,SSTableIndex,Interval<RangeTermTree.Term,SSTableIndex>>` | `rangeTree`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeTermTree(java.nio.ByteBuffer min, java.nio.ByteBuffer max, IntervalTree<RangeTermTree.Term,SSTableIndex,Interval<RangeTermTree.Term,SSTableIndex>> rangeTree, AbstractType<?> comparator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `intervalCount()`
    `java.util.Set<SSTableIndex>` | `search(Expression e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### min

          protected final java.nio.ByteBuffer min

    - #### max

          protected final java.nio.ByteBuffer max

    - #### rangeTree

          protected final IntervalTree<RangeTermTree.Term,SSTableIndex,Interval<RangeTermTree.Term,SSTableIndex>> rangeTree

    - #### comparator

          protected final AbstractType<?> comparator

  - ### Constructor Detail

    - #### RangeTermTree

          public RangeTermTree(java.nio.ByteBuffer min,
                               java.nio.ByteBuffer max,
                               IntervalTree<RangeTermTree.Term,SSTableIndex,Interval<RangeTermTree.Term,SSTableIndex>> rangeTree,
                               AbstractType<?> comparator)

  - ### Method Detail

    - #### search

          public java.util.Set<SSTableIndex> search(Expression e)

      Specified by:
        `search` in interface `TermTree`

    - #### intervalCount

          public int intervalCount()

      Specified by:
        `intervalCount` in interface `TermTree`

Copyright © 2018 The Apache Software Foundation